
//////////////////////////
//Created by LostSinner//
////////////////////////
using System; 
using Server; 
using Server.Gumps; 
using Server.Network;
using Server.Items;
using Server.Mobiles;
using Server.Commands;

namespace Server.Gumps
{
    public class MerlinsQuestGump5 : Gump
    {
        public static void Initialize()
        {
            CommandSystem.Register("MerlinsQuestGump5", AccessLevel.GameMaster, new CommandEventHandler(MerlinsQuestGump5_OnCommand));
        }

        private static void MerlinsQuestGump5_OnCommand(CommandEventArgs e)
        {
            e.Mobile.SendGump(new MerlinsQuestGump5(e.Mobile));
        }

        public MerlinsQuestGump5(Mobile owner)
            : base(50, 50)
        {
            //----------------------------------------------------------------------------------------------------

            AddPage(0);
            AddImageTiled(54, 33, 369, 400, 2624);
            AddAlphaRegion(54, 33, 369, 400);

            AddImageTiled(416, 39, 44, 389, 203);
            //--------------------------------------Window size bar--------------------------------------------

            AddImage(97, 49, 9005);
            AddImageTiled(58, 39, 29, 390, 10460);
            AddImageTiled(412, 37, 31, 389, 10460);
            AddLabel(140, 60, 0x34, "Merlinuv Quest by LostSinner");


            AddHtml(107, 140, 300, 230, "<BODY>" +
                //----------------------/----------------------------------------------/
"<BASEFONT COLOR=RED>Nemohu uverit ze jsi me porazil/a!!<BR><BR></COLOR><COLOR=YELLOW><I> krev mu vyteka z koutku ust </I><BR><BR>" +
"<BASEFONT COLOR=RED>Nuze dobra, pokud chces najit Merlina, musis ziskat jeho hul. Az hul najdes, vem ji do ruky a pouzij ji, hul vytvori magickou branu vedouci primo do Merlinova domu.<BR><BR>"+
"<BASEFONT COLOR=RED><I> kasle krev jak se snazi mluvit </I><BR><BR> Bez hned... touto branou<BR><BR><I>z poslednich sil mavne rukou a vytvori magickou branu</I><BR><BR>"+
"<BASEFONT COLOR=RED>Bez a pokus se najit cestu skrze magicke runy, ktere Merlin vytvoril pro ochranu sve hole<BR><BR><I>Vidis jak Talon saha do kapsy a podava ti jakysi naramek<BR><BR>"+
"<BASEFONT COLOR=RED>Nasad si ho, jinak urcite pri hledani hole zemres...<I>rekne Talon a vydechne naposledy</I><BR><BR>"+



            "</BODY>", false, true);


            AddImage(430, 9, 10441);
            AddImageTiled(40, 38, 17, 391, 9263);
            AddImage(6, 25, 10421);
            AddImage(34, 12, 10420);
            AddImageTiled(94, 25, 342, 15, 10304);
            AddImageTiled(40, 427, 415, 16, 10304);
            AddImage(-10, 314, 10402);
            AddImage(56, 150, 10411);
            AddImage(155, 120, 2103);
            AddImage(136, 84, 96);

            AddButton(225, 390, 0xF7, 0xF8, 0, GumpButtonType.Reply, 0);

            //--------------------------------------------------------------------------------------------------------------
        }

        public override void OnResponse(NetState state, RelayInfo info) //Function for GumpButtonType.Reply Buttons 
        {
            Mobile from = state.Mobile;

            switch (info.ButtonID)
            {
                case 0: //Case uses the ActionIDs defined above. Case 0 defines the actions for the button with the action id 0 
                    {
                        from.SendMessage("Be Careful");
                        break;
                    }
            }
        }
    }
}

